Bug 738459 - [abrt] yum-3.2.29-9.fc15: config.py:1021:_getsysver:StopIteration
Summary: [abrt] yum-3.2.29-9.fc15: config.py:1021:_getsysver:StopIteration
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e0483837bf69dc64433d27374a5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 20:49 UTC by Yann Droneaud
Modified: 2014-01-21 23:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-15 06:51:17 UTC


Attachments (Terms of Use)

Description Yann Droneaud 2011-09-14 20:49:56 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        
comment:        Run yum check-update or yum check
component:      yum
executable:     /usr/bin/yum
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        yum-3.2.29-9.fc15
reason:         config.py:1021:_getsysver:StopIteration
time:           Wed Sep 14 22:23:55 2011
uid:            0
username:       root

backtrace:
:config.py:1021:_getsysver:StopIteration
:
:Traceback (most recent call last):
:  File "/usr/bin/yum", line 29, in <module>
:    yummain.user_main(sys.argv[1:], exit_code=True)
:  File "/usr/share/yum-cli/yummain.py", line 267, in user_main
:    errcode = main(args)
:  File "/usr/share/yum-cli/yummain.py", line 89, in main
:    base.getOptionsConfig(args)
:  File "/usr/share/yum-cli/cli.py", line 228, in getOptionsConfig
:    self.conf
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 863, in <lambda>
:    conf = property(fget=lambda self: self._getConfig(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 295, in _getConfig
:    startupconf = config.readStartupConfig(fn, root)
:  File "/usr/lib/python2.7/site-packages/yum/config.py", line 870, in readStartupConfig
:    startupconf.releasever = _getsysver(startupconf.installroot, startupconf.distroverpkg)
:  File "/usr/lib/python2.7/site-packages/yum/config.py", line 1021, in _getsysver
:    hdr = idx.next()
:StopIteration
:
:Local variables in innermost frame:
:distroverpkg: 'redhat-release'
:installroot: '/'
:ts: <rpmUtils.transaction.TransactionWrapper instance at 0x121f050>
:idx: <rpm.mi object at 0x11f6f30>

event_log:
:2011-09-14-22:47:44> Empty login or password, please check your configuration
:2011-09-14-22:47:44* (exited with 1)
:2011-09-14-22:48:36> Empty login or password, please check your configuration
:2011-09-14-22:48:36* (exited with 1)

Comment 1 Yann Droneaud 2011-09-14 21:02:05 UTC
See also bug #738461 regarding RPM.

Comment 2 Zdeněk Pavlas 2011-09-15 06:51:17 UTC
This was fixed in commit 95692640


Note You need to log in before you can comment on or make changes to this bug.